# Distro specific variables for Arch Linux
---

named_packages:
  - python-netaddr
  - python-dns
  - bind
  - bind-tools

named_service: named

# Main config file
named_config: /etc/named.conf

# Zone files included in the installation
named_default_zone_files: []
# Directory with run-time stuff
named_dir: /var/named
named_conf_dir: "{{ named_dir }}"
named_auth_filename: auth_transfer.conf
named_auth_file: "{{ named_conf_dir }}/{{ named_auth_filename }}"

named_owner: root
named_group: named

named_bindkeys_file: /etc/named.iscdlv.key
named_pid_file: /run/named/named.pid
named_session_keyfile: /run/named/session.key

# Custom location for zone files
named_zone_dir: "{{ named_dir }}"
named_secondary_dir: "{{ named_dir }}/secondary"
